## Overview

The Glasswall cloud-native Glasswall Halo provides security teams with out-of-the-box file protection capabilities. Built on a Kubernetes architecture, it provides organizations with protection that can scale infinitely to meet demand. Glasswall Halo's OpenAPI specification compliant design provides developer-centric web services, while open source connectors provide easy on-premises and cloud integrations.

Whether you're a developer aiming to enhance your application's security or an organization dedicated to safeguarding sensitive information, this guide will enable you to quickly access and use Glasswall Halo.

## Step 1 - Access Glasswall APIs

Glasswall APIs can be accessed via:

[https://api.glasswall.com/](https://api.glasswall.com/)

## Step 2 - Authentication

To access [Glasswall APIs](https://api.glasswall.com), you'll need to contact us at **sales@glasswall.com** for a designated username and password. You will be sent an email containing a safe link granting access to our software distribution platform.

1. Once you have your authentication credentials, navigate to [Glasswall APIs Swagger](https://api.glasswall.com).

![image_001](/.attachments/image_001.png)

2. Click **Authorize**.
3. In the popup, enter your authorisation credentials.

![image_002](/.attachments/Image_002.png)

4. Click **Authorize** to gain access to the Glasswall Halo API.

## Step 3 - Process a file

You can now start processing files using the various API calls available via Swagger.

1. Select the **`api/v3/cdr-file`** endpoint and the row expands to display a new section.
2. Click **Try it out** in the top right of this new section.

![image_003](/.attachments/Image_003.png)

### Step 3.1 - Set up parameters

Under the *Parameter* section for each API call there are several parameters you can alter depending on what you want to achieve. Most of these parameters are described on the page itself but you can learn more about them via [Glasswall API capabilities](/rest-api/clean-files-to-remove-threats).

![image_004](/.attachments/Image_004.png)

### Step 3.2 - Adjust request body

The next section is for the request body. This is where you can provide instructions on how you want the file to be managed by adjusting the inputs as required.

### Step 3.3 - Select file

Next, you can choose the specific file you want to work with.

1. Click **Choose file**, and select the file you want to process via the popup.
2. Once you're ready, click **Execute**. You have now initiated a request to Glasswall Halo which starts processing your chosen file based on your settings.

![image_005](/.attachments/Image_005.png)

### Step 3.4 - View response

If your request has been successful, you are presented with a status code and the output file.

* If you see a **201** status code it means your request was successful.

  * You can download the binary output by clicking **Download file**.

![image_006](/.attachments/Image_006.png)

However, if your request wasn't successful, you may see the following:

* A **500** status code indicates there is a problem with your file or Glasswall Halo and you may want to try another file.
* A **400** status code indicates there is an issue with your request and you may want to double-check your inputs and ensure they are correct.
* A **401** status code indicates there is an issue with your authorization credentials and you may want to double-check them.

## Summary

Now that you have successfully performed CDR on your first file, you can either continue to use the Swagger UI to process more files or you can begin to integrate your application POC's programmatically using this endpoint and the basic authorisation credentials.

If you would like to trial Glasswall Halo by running it locally, you can follow our [Evaluation via AWS Marketplace](/halo/evaluation-via-aws-marketplace) guide.


For more information please contact our sales team at **sales@glasswall.com**.